List Cost-Centers
curl --request GET \
--url https://{host}/cleemy-procurement/api/costcenters \
--header 'Authorization: <authorization>'import requests
url = "https://{host}/cleemy-procurement/api/costcenters"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{host}/cleemy-procurement/api/costcenters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"name": "<string>",
"code": "<string>",
"id": 123,
"owner": {
"id": 123,
"href": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"pictureHref": "<string>"
},
"state": "Disabled",
"establishments": [
{
"id": 123,
"name": "<string>",
"href": "<string>"
}
]
}
],
"prev": "<string>",
"next": "<string>",
"count": 1
}Cost-Centers
List Cost-Centers
List cost-centers.
GET
/
cleemy-procurement
/
api
/
costcenters
List Cost-Centers
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Query Parameters
Include root collection fields (paging).
Available options:
prev, next, count Page selection. Page tokens can be retrieved by adding ?fields.root=next,prev on your GET collections requests.
Page size.
Required range:
0 <= x <= 1000Was this page helpful?
⌘I